get_desktop_resolution(3)

NAME
get_desktop_resolution

SYNOPSIS
#include <allegro.h>

int get_desktop_resolution(int *width, int *height);

DESCRIPTION
On platforms that can run Allegro programs in a window on an existing desktop, this retrieves the current desktop resolution (e.g. you may want to call this function before creating a large window because, with some windowed drivers, a window cannot be created if it is larger than the desktop). Returns zero on success, or a negative number if this information is not available or does not apply, in which case the values stored in width and height are unspecified.

SEE ALSO
desktop_color_depth(3)